//
// Copyright (C) 1991 Texas Instruments Incorporated.
//
// Permission is granted to any individual or institution to use, copy, modify,
// and distribute this software, provided that this complete copyright and
// permission notice is maintained, intact, in all copies and supporting
// documentation.
//
// Texas Instruments Incorporated provides this software "as is" without
// express or implied warranty.
//

#include <cool/Vector.h>			// Include vector class

DECLARE Vector<int>				// Declare vector of ints

int main (void) {
  Vector<int> v1;				// Declare vector object
  for (int i = 0; i < 10; i++)			// Copy 10 integers into vector
    v1.push(i);					// Add element
  cout << v1 << "\n";				// Output vector elements
  return (0);					// Exit with successful status
}
